Skip to main content
GET
list Products

Headers

X-Aggregator-Code
string

The aggregator organization code. Organization code must be provided either via HTTP header or query parameter. If both are provided, HTTP header will be used.

Maximum string length: 16

Query Parameters

aggregatorCode
string

The aggregator organization code. Organization code must be provided either via HTTP header or query parameter. If both are provided, HTTP header will be used.

Maximum string length: 16
limit
integer<int32>
default:20

A limit on the number of objects to be returned, between 1 and 100.

Required range: x >= 1
starting_after
integer

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

ending_before
integer

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

account
string

Filters list of Products by Account id or vid that have Purchased that Product.

include_children
string

If filtering by Account this also returns Children Accounts.

Response

OK

A list of Product.

object
enum<string>
Available options:
List
total_count
integer

Integer count of the number of items in the returned list.

data
object[]
url
string

The query string provided in the request

next
string

The route (partial URL) to the next Product object (string to select the “next”); included id should match that of the last object returned here.

previous
string

The route (partial URL) to the previous Product object (string to select the “previous”); included id should match that of the first object returned here.